// This file is part of GHome Mover (http://www.brookepeig.com/ghomemover)
// GHome Mover was created by Daniel Brooke Peig (daniel@brookepeig.com, http://www.brookepeig.com)
//
//
//
//    GHome Mover is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    GHome Mover is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with GHome Mover; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <gnome.h>

// These two functions above returns the location of some pixmaps used
// in GHome Mover (they are used in the interface.c source). I made this
// to avoid troubles when building new Glade modifications.

char *ghomemover_logo_pixmap ();

char *dbp_logo_pixmap();

// End of pixmap functions

void exit_program_routines();

int
on_ghm_begin_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_window1_destroy                     (GtkObject       *object,
                                        gpointer         user_data);

void
on_ghm_quit_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_ghm_help_btn_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_ghm_dest_user_changed               (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_ghm_source_user_changed             (GtkEditable     *editable,
                                        gpointer         user_data);


void
on_ghm_about_btn_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_ghm_about_ok_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_window1_show                        (GtkWidget       *widget,
                                        gpointer         user_data);
